Trigger force run
curl --request POST \
--url https://us.api.flexprice.io/v1/tasks/scheduled/{id}/run \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"end_time": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://us.api.flexprice.io/v1/tasks/scheduled/{id}/run"
payload = {
"end_time": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({end_time: '2023-11-07T05:31:56Z', start_time: '2023-11-07T05:31:56Z'})
};
fetch('https://us.api.flexprice.io/v1/tasks/scheduled/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"end_time": "2023-11-07T05:31:56Z",
"message": "<string>",
"mode": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"workflow_id": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Scheduled Tasks
Trigger force run
Use when you need to run a scheduled export immediately (e.g. on-demand report or catch-up). Supports optional custom time range.
POST
/
tasks
/
scheduled
/
{id}
/
run
Trigger force run
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Scheduled Task ID
Body
application/json
Optional start and end time for custom range
⌘I

